# Payment Methods

Below are supported payment methods on our platform

#### MOBILE\_MONEY

To collect or disburse funds using mobile money, you need to set the **payment\_method** parameter in the request body as **`MOBILE_MONEY`**&#x20;

{% hint style="info" %}
Mobile money payments require the customer's mobile phone number specified in th&#x65;**`phone_number`**&#x66;ield put in the international format, including its country code e.g **`256777111222`**
{% endhint %}

{% tabs %}
{% tab title="Sample Request Body" %}

```javascript
{
  ...
  "payment_method": "MOBILE_MONEY"
  "phone_number": "256777111222",
  ...
}
```

{% endtab %}
{% endtabs %}

### CARD

Used to collected card payments by specifying th&#x65;**`CARD`** value in the **payment\_method** field&#x20;

{% hint style="danger" %}
The card method supports only collections at the moment
{% endhint %}

{% tabs %}
{% tab title="Sample Request Body" %}

```javascript
{
  ...
  "payment_method": "CARD"
  ...
}
```

{% endtab %}
{% endtabs %}

Refunds are supported for cards. Go [here](/refunds/refund-post-request.md) to learn about them

In case you do provide the customer's card details to process the card transactions, we will return a **`payment_url`** where the customer will complete their transaction.&#x20;

When the customer is redirected to the **`payment_url`**, they will securely provide their card details and their transaction will be processed. We do not store the customers' card details but the masked version. The masked version is useful during queries.

### CRYPTO

Set the **payment\_method** parameter in the request body as **`CRYPTO`** to collect funds using crypto \
\
Funds collected will be stored in the base currency of the **provider** used to make the payment. e.g setting the **provider=btc\_usd** means we will collect the payment as **BTC** store it as **USD**. Your USD wallet will be credited at the end of the transaction and we will settle you in USD.&#x20;

{% tabs %}
{% tab title="Sample Request Body" %}

```javascript
{
  ...
  "method": "CRYPTO"
  ...
}
```

{% endtab %}
{% endtabs %}

Completing this transaction redirecting the customer to the **`payment_url`** to complete the payment.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kitegateway.com/appendix/payment-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
